## systemfixtures 0.6.1

=== requirements.txt ===
pbr
six
fixtures
testtools
requests-mock
fakesleep

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/systemfixtures.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/systemfixtures.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/systemfixtures"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/systemfixtures"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## systemfixtures 0.4.3

=== debian/changelog ===
systemfixtures (0.4.3-2) unstable; urgency=medium

  * Fix python 3 substvars

 -- Free Ekanayaka <freee@debian.org>  Fri, 04 Nov 2016 22:21:45 +0000

systemfixtures (0.4.3-1) unstable; urgency=low

  * Initial release (Closes: #842188)

 -- Free Ekanayaka <freee@debian.org>  Wed, 19 Oct 2016 15:26:57 +0000

=== debian/control ===
Source: systemfixtures
Maintainer: Free Ekanayaka <freee@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               debhelper (>= 9),
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6b3),
               python-pbr,
               python-fixtures,
               python-requests-mock,
               python-fakesleep,
               python3-all,
               python3-setuptools,
               python3-pbr,
               python3-fixtures,
               python3-requests-mock,
               python3-fakesleep,
Standards-Version: 3.9.8
Homepage: https://github.com/freeekanayaka/systemfixtures
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/systemfixtures.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/incremental.git

Package: python-systemfixtures
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Test fixtures providing fake versions of various system resources
 A collection of Python fixtures to fake out  various system resources such
 as processes, users, groups, etc.
 .
 Each fake resource typically behaves as an "overlay" on the real resource, in
 that it can be programmed with fake behavior for a set of inputs, but falls
 back to the real behavior for the rest.

Package: python3-systemfixtures
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Test fixtures providing fake versions of various system resources
 A collection of Python fixtures to fake out  various system resources such
 as processes, users, groups, etc.
 .
 Each fake resource typically behaves as an "overlay" on the real resource, in
 that it can be programmed with fake behavior for a set of inputs, but falls
 back to the real behavior for the rest.

## systemfixtures 0.5.1

=== debian/changelog ===
systemfixtures (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Free Ekanayaka <freee@debian.org>  Fri, 11 Nov 2016 21:17:59 +0000

## systemfixtures 0.6.0

=== debian/changelog ===
systemfixtures (0.6.0-1) unstable; urgency=medium

  * Fix Vcs-Git url
  * New upstream version 0.6.0

 -- Free Ekanayaka <freee@debian.org>  Sun, 20 Nov 2016 21:21:03 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Standards-Version: 3.9.8
 Homepage: https://github.com/freeekanayaka/systemfixtures
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/systemfixtures.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/incremental.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/systemfixtures.git
 
 Package: python-systemfixtures
 Architecture: all

## systemfixtures 0.6.2

=== debian/changelog ===
systemfixtures (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2 (Closes: #848414)

 -- Free Ekanayaka <freee@debian.org>  Thu, 05 Jan 2017 21:40:27 +0000

systemfixtures (0.6.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix flaky FakeExecutable tests (Closes: #848414)

 -- Free Ekanayaka <freee@debian.org>  Mon, 19 Dec 2016 16:07:11 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python-fixtures,
                python-requests-mock,
                python-fakesleep,
+               python-subprocess32,
                python3-all,
                python3-setuptools,
                python3-pbr,

## systemfixtures 0.6.3

=== debian/changelog ===
systemfixtures (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3:

    - Change FakeExecutableTest.test_listen to wait longer for the
      socket to be ready and provide timing information in case of
      failures.

 -- Free Ekanayaka <freee@debian.org>  Sun, 08 Jan 2017 07:47:03 +0000

## systemfixtures 0.6.4

=== Makefile ===
PYTHON ?= python
PYTHON_MAJOR = $(shell $(PYTHON) -c "import sys; print(sys.version_info.major)")

# These paths are valid on Debian-based systems, on other systems you
# might have to set these variables from the command line.
COVERAGE ?= $(PYTHON)-coverage
SPHINXBUILD ?= /usr/share/sphinx/scripts/python$(PYTHON_MAJOR)/sphinx-build

SOURCE = systemfixtures

all: check check-doc

check:
	rm -f .coverage
	$(COVERAGE) run --source=$(SOURCE) -m testtools.run discover
	$(COVERAGE) report -m --fail-under=100 --rcfile=.coveragerc.py$(PYTHON_MAJOR)

check-doc:
	SPHINXBUILD=$(SPHINXBUILD) $(MAKE) -C doc doctest

dependencies: dependencies-python$(PYTHON_MAJOR)
	sudo apt-get install \
		$(PYTHON)-pbr \
		$(PYTHON)-six \
		$(PYTHON)-fixtures \
		$(PYTHON)-testtools \
		$(PYTHON)-requests-mock \
		$(PYTHON)-fakesleep \
		$(PYTHON)-coverage \
		$(PYTHON)-sphinx

dependencies-python2:
	sudo apt-get install \
		$(PYTHON)-subprocess32

dependencies-python3):

clean:
	rm -rf $(SOURCE).egg-info dist
	rm -f AUTHORS ChangeLog
	find -type f -name "*.pyc" | xargs rm -f
	find -type d -name "__pycache_" | xargs rm -rf

.PHONY: all check check-doc dependencies dependencies-python2 dependencies-python3

=== debian/changelog ===
systemfixtures (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4

 -- Free Ekanayaka <freee@debian.org>  Wed, 18 Jan 2017 10:52:18 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
                debhelper (>= 9),
                python-all (>= 2.6.6-3),
                python-setuptools (>= 0.6b3),
-               python-pbr,
+               python-pbr (>= 1.10),
                python-fixtures,
                python-requests-mock,
                python-fakesleep,
                python-subprocess32,
                python3-all,
                python3-setuptools,
-               python3-pbr,
+               python3-pbr (>= 1.10),
                python3-fixtures,
                python3-requests-mock,
                python3-fakesleep,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=systemfixtures

# This is needed because of https://bugs.launchpad.net/pbr/+bug/1637729
export PBR_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/[-].*//')


%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_installdocs:
	dh_installdocs -A AUTHORS

=== debian/tests/control ===
Tests: unit-tests-2 unit-tests-3
Restrictions: needs-root
Depends: @,
  python-twisted-core,
  python3-twisted,

=== debian/watch ===
# please also check http://pypi.debian.net/systemfixtures/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/systemfixtures/systemfixtures-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## systemfixtures 0.6.7

=== requirements.txt ===
pbr
six
fixtures
testtools
requests-mock
fakesleep
subprocess32; python_version < '3.5'

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   ?= sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/systemfixtures.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/systemfixtures.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/systemfixtures"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/systemfixtures"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
systemfixtures (0.6.7-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Alexandre Detiste <tchet@debian.org>  Tue, 20 Aug 2024 02:15:51 +0200

systemfixtures (0.6.7-2) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-six (Closes: #1078363)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 Aug 2024 16:53:28 +0200

systemfixtures (0.6.7-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.6.7
  * Set Rules-Requires-Root: no
  * Use new dh-sequence-python3
  * Remove dependency on python3-distutils (Closes: #1065983)
  * d/control: set DPT as Maitainer too, it was already as VCS
    (404725b3e46bd99c8fd5178eff7b20e611f7c74b as tacit approval)

  [ Free Ekanayaka ]
  * New upstream version 0.6.5

  [ Edward Betts ]
  * Update copyright and homepage to new github URL

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-pbr.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 12:19:19 +0200

systemfixtures (0.6.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat.

  [ Free Ekanayaka ]
  * Add python3-distutils to autopkgtest dependencies (Closes: #894756)
  * Add GitLab CI file

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support (Closes: #938619).
  * Add using-python3-in-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 21:19:19 +0200

=== debian/control ===
Source: systemfixtures
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
Section: python
Priority: optional
Build-Depends: dh-sequence-python3,
               debhelper-compat (= 13),
               python3-all,
               python3-setuptools,
               python3-pbr,
               python3-fixtures,
               python3-requests-mock,
               python3-fakesleep,
               python3-six,
Rules-Requires-Root: no
Standards-Version: 4.1.3
Homepage: https://github.com/testing-cabal/systemfixtures
Vcs-Browser: https://salsa.debian.org/python-team/packages/systemfixtures
Vcs-Git: https://salsa.debian.org/python-team/packages/systemfixtures.git

Package: python3-systemfixtures
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Test fixtures providing fake versions of various system resources
 A collection of Python fixtures to fake out  various system resources such
 as processes, users, groups, etc.
 .
 Each fake resource typically behaves as an "overlay" on the real resource, in
 that it can be programmed with fake behavior for a set of inputs, but falls
 back to the real behavior for the rest.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,11 @@
 
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 
 override_dh_installdocs:
 	dh_installdocs -A AUTHORS
+
+execute_before_dh_installdeb:
+	find debian/ -name x -delete

=== debian/tests/control ===
Tests: unit-tests-3
Restrictions: needs-root
Depends: @,
  python3-twisted,

=== debian/watch ===
# please also check https://pypi.debian.net/systemfixtures/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/systemfixtures/systemfixtures-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
